# frozen_string_literal: true
require 'chamber'
require 'horn_of_plenty/adapters/github/repositories/board'
require 'rspeckled/spec_helpers/rspeckled'

module    HornOfPlenty
module    Adapters
module    Github
module    Repositories
describe  Board do
  before(:each) { Adapters::Github.config.token = Chamber.env.adapters.github.token }

  it 'can retrieve boards from an adapter' do
    boards = Board.fetch(repository: 'thekompanee/hustle-and-flow-issue-dump')

    expect(boards.length).to eql 2
  end
end
end
end
end
end
