# frozen_string_literal: true
require 'chamber'
require 'horn_of_plenty/adapters/github/repositories/issue'
require 'rspeckled/spec_helpers/rspeckled'

module    HornOfPlenty
module    Adapters
module    Github
module    Repositories
describe  Issue do
  before(:each) { Adapters::Github.config.token = Chamber.env.adapters.github.token }

  it 'can retrieve issues from an adapter' do
    issues = Issue.fetch(repository: 'thekompanee/hustle-and-flow-issue-dump')

    expect(issues.length).to eql 3
  end
end
end
end
end
end
