# frozen_string_literal: true
require 'chamber'
require 'horn_of_plenty/adapters/github/repositories/pull_request'
require 'rspeckled/spec_helpers/rspeckled'

module    HornOfPlenty
module    Adapters
module    Github
module    Repositories
describe  PullRequest do
  before(:each) { Adapters::Github.config.token = Chamber.env.adapters.github.token }

  it 'can retrieve pull_requests from an adapter' do
    pull_requests = PullRequest.fetch(
      repository: 'thekompanee/hustle-and-flow-issue-dump',
    )

    expect(pull_requests.length).to eql 1
  end
end
end
end
end
end
