# frozen_string_literal: true
require 'chamber'
require 'horn_of_plenty/adapters/github/repositories/lane'
require 'rspeckled/spec_helpers/rspeckled'

module    HornOfPlenty
module    Adapters
module    Github
module    Repositories
describe  Lane do
  before(:each) { Adapters::Github.config.token = Chamber.env.adapters.github.token }

  it 'can retrieve lanes from an adapter' do
    lanes = Lane.fetch(repository: 'thekompanee/hustle-and-flow-issue-dump',
                       query:      {
                         board_id: '1',
                       })

    expect(lanes.length).to eql 9
  end
end
end
end
end
end
